.st-featured-product-wrapper,
theme-product-detail[data-section-type="st-featured-product"] {
  width: 100%;
}

.st-featured-product-wrapper .st-featured-product,
theme-product-detail[data-section-type="st-featured-product"] .product-detail__main {
  width: 100%;
}

/* Product Detail Media Gallery */
st-featured-product-wrapper .product-detail__media-gallery .media-gallery__thumbnail::after,
theme-product-detail[data-section-type="st-featured-product"] .product-detail__media-gallery .media-gallery__thumbnail::after {
  box-shadow: inset 0 0 0 var(--border-thickness, 0) rgb(var(--color-entry-line));
}

st-featured-product-wrapper .product-detail__title,
theme-product-detail[data-section-type="st-featured-product"] .product-detail__title {
  text-transform: uppercase;
}

.ssr-sub-quick-subscribe-block [class*="_subQuickAddCart"] {
  text-transform: uppercase;
  font-size: 16px;
  font-weight: 700;
}

.ssr-sub-quick-subscribe-block [class*="_subQuickSalePrice"],
.ssr-sub-quick-subscribe-block [class*="_subQuickPriceContainer"]
 {
  font-size: 21px;
  font-weight: 700;
}

.ssr-sub-quick-subscribe-block [class*="_subQuickRadioText"] {
  font-size: 16px;
  font-weight: 500;
}

 st-featured-product-wrapper .ssr-sub-quick-subscribe-block [class*="_subQuickRadioTextContent"],
 theme-product-detail[data-section-type="st-featured-product"] .ssr-sub-quick-subscribe-block [class*="_subQuickRadioTextContent"] {
  margin-right: 0;
}

 st-featured-product-wrapper .ssr-sub-quick-subscribe-block [class*="_subQuickTag"],
 theme-product-detail[data-section-type="st-featured-product"] .ssr-sub-quick-subscribe-block [class*="_subQuickTag"] {
  border: none;
}

.ssr-sub-quick-subscribe-block [class*="_subQuickPrice"] {
  display: none;
}

.ssr-sub-quick-subscribe-block [class*="_subQuickSubscribe"] > [class*="_subQuickRadio"] {
  padding: 4px 18px;
  align-items: center;
}

.ssr-sub-quick-subscribe-block [type="radio"] {
  margin-bottom: 3px;
  margin-right: 7px;
}

.typography-default:has(span:empty) {
  display: none;
}

@media (min-width: 960px) and (max-width: 1280px) {
  .product-detail-wrapper .product-detail {
    padding-inline: 0;
  }
}

@media (min-width: 1281px) {
  .product-detail-wrapper .page-width {
    padding-inline: 0;
  }
}

@media (min-width: 960px) {
  .ssr-sub-quick-subscribe-block [class*="_subQuickAddCart"] {
    font-size: 18px;
  }

  .ssr-sub-quick-subscribe-block [class*="_subQuickSalePrice"],
  .ssr-sub-quick-subscribe-block [class*="_subQuickPriceContainer"] {
    font-size: 36px;
  }

  .ssr-sub-quick-subscribe-block [class*="_subQuickRadioText"] {
    font-size: 18px;
  }
}